Bug 211666 - [NEW PORT] graphics/nplot: .NET charting library
Summary: [NEW PORT] graphics/nplot: .NET charting library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2016-08-08 16:43 UTC by Carsten Larsen
Modified: 2016-08-21 19:40 UTC (History)
1 user (show)

See Also:


Attachments
New port (1.77 KB, text/plain)
2016-08-08 16:43 UTC, Carsten Larsen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carsten Larsen 2016-08-08 16:43:40 UTC
Created attachment 173413 [details]
New port

NPlot is a free charting library for .NET. It boasts an elegant,
flexible API and includes controls for Windows.Forms, ASP.NET
and a class for creating Bitmaps. 

WWW: http://netcontrols.org/nplot/wiki/


portlint -AC
    looks fine.

poudriere (10.3, amd64)
    No errors.
Comment 1 Kurt Jaeger freebsd_committer 2016-08-15 20:21:50 UTC
dependency lang/mono fails to build on 9.3amd64, FYI.
Comment 2 Kurt Jaeger freebsd_committer 2016-08-15 20:23:06 UTC
lang/mono build problem is reported in

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=211696
Comment 3 Carsten Larsen 2016-08-16 06:45:47 UTC
(In reply to Kurt Jaeger from comment #1)
OK. The build was also tested with Mono 4.2. I will make a new test builds with Mono 4.4 and 9.3, 10.3 and 11.0.
Comment 4 commit-hook freebsd_committer 2016-08-21 19:39:57 UTC
A commit references this bug:

Author: pi
Date: Sun Aug 21 19:39:53 UTC 2016
New revision: 420580
URL: https://svnweb.freebsd.org/changeset/ports/420580

Log:
  New port: graphics/nplot

  NPlot is a free charting library for .NET. It boasts an elegant,
  flexible API and includes controls for Windows.Forms, ASP.NET
  and a class for creating Bitmaps.

  WWW: http://netcontrols.org/nplot/wiki/

  PR:		211666
  Submitted by:	Carsten Larsen <cs@innolan.dk>

Changes:
  head/graphics/Makefile
  head/graphics/nplot/
  head/graphics/nplot/Makefile
  head/graphics/nplot/distinfo
  head/graphics/nplot/pkg-descr
Comment 5 Kurt Jaeger freebsd_committer 2016-08-21 19:40:12 UTC
Testbuilds are fine now, committed, thanks!